Skip to content

Get account transactions

Request

Security
oauth2ClientCredentials(Required scopes: accounts:read)
Path
idstringrequired
Query
pagenumber

Page number (minimum: 1)

Example:page=1
limitnumber

Number of items per page (minimum: 1, maximum: 1000)

Example:limit=20
tostring, (date-time)

To Date

Example:to=2025-12-01
fromstring, (date-time)

From Date

Example:from=2025-10-01
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

curl -i -X GET \
  'https://developer.boyahq.com/_mock/v2/openapi/accounts/{id}/transactions?page=1&limit=20&to=2025-12-01&from=2025-10-01' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string'

Responses

Paginated list of account transactions